Debian Bug report logs - #385943
libgtk-java: Needs rebuild against libgcj7-0

version graph

Package: libgtk-java; Maintainer for libgtk-java is (unknown);

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Mon, 4 Sep 2006 06:49:12 UTC

Severity: serious

Tags: fixed

Found in version libgtk-java/2.8.5-1

Fixed in version 2.8.5-1.1

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#385943; Package libgtk-java. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: libgtk-java: Needs rebuild against libgcj7-0
Date: Mon, 4 Sep 2006 08:43:49 +0200
Package: libgtk-java
Version: 2.8.5-1
Severity: serious

Hi,

Since libgcj7 has been renamed to libgcj7-0, your package is now
uninstallable.  It's also an arch all pacakge and is not binNMU save, so
you will need to do an upload to fix this.


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#385943; Package libgtk-java. Full text and rfc822 format available.

Acknowledgement sent to David Schmitt <david@schmitt.edv-bus.at>:
Extra info received and forwarded to list. Copy sent to Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 385943@bugs.debian.org (full text, mbox):

From: David Schmitt <david@schmitt.edv-bus.at>
To: 385943@bugs.debian.org, 385943-submitter@bugs.debian.org
Subject: Re: libgtk-java: Needs rebuild against libgcj7-0
Date: Sun, 10 Sep 2006 15:56:39 +0200
[Message part 1 (text/plain, inline)]
Hi!


Please find attached a minimal patch, fixing the binNMU security.


Regards, David
-- 
- hallo... wie gehts heute?
- *hust* gut *rotz* *keuch*
- gott sei dank kommunizieren wir über ein septisches medium ;)
 -- Matthias Leeb, Uni f. angewandte Kunst, 2005-02-15
[binNMUsave.patch (text/x-diff, attachment)]

Message sent on to Kurt Roeckx <kurt@roeckx.be>:
Bug#385943. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#385943; Package libgtk-java. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #18 received at 385943@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: David Schmitt <david@schmitt.edv-bus.at>
Cc: 385943@bugs.debian.org, 385943-submitter@bugs.debian.org
Subject: Re: Bug#385943: libgtk-java: Needs rebuild against libgcj7-0
Date: Sun, 10 Sep 2006 14:22:36 -0700
On Sun, Sep 10, 2006 at 03:56:39PM +0200, David Schmitt wrote:

> Please find attached a minimal patch, fixing the binNMU security.

This patch fixes nothing.  There is *no* way for an arch: all package to
have a strict versioned dependency on an arch: any package and still be
binNMU safe.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/

> diff -uwrbN libgtk-java-2.8.5.binNUMsave/debian/control libgtk-java-2.8.5/debian/control
> --- libgtk-java-2.8.5.binNUMsave/debian/control	2006-09-10 15:54:33.000000000 +0200
> +++ libgtk-java-2.8.5/debian/control	2006-09-10 15:54:50.000000000 +0200
> @@ -3,13 +3,13 @@
>  Priority: optional
>  Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
>  Uploaders: Mark Howard <mh@debian.org>
> -Build-Depends: debhelper (>> 5), libgtk2.0-dev (>=2.6), gcj, java-gcj-compat-dev, docbook, docbook-utils, cdbs (>= 0.4.34), pkg-config, libglib-java, libcairo-java, dpkg-dev (>= 1.13.19)
> +Build-Depends: debhelper (>> 5), libgtk2.0-dev (>=2.6), gcj, java-gcj-compat-dev, docbook, docbook-utils, cdbs (>= 0.4.34), pkg-config, libglib-java, libcairo-java
>  Standards-Version: 3.7.2.0
>  
>  Package: libgtk-java
>  Section: libs
>  Architecture: all
> -Depends: libgtk-jni (= ${binary:Version}), libglib-java, libcairo-java
> +Depends: libgtk-jni (= ${Source-Version}), libglib-java, libcairo-java
>  Replaces: libgtk0-java, libgtk2-java
>  Conflicts: libgtk2-java
>  Description: GTK+ bindings for Java
> @@ -37,7 +37,7 @@
>  Package: libgtk-jni
>  Section: libs
>  Architecture: any
> -Depends: ${shlibs:Depends}, libgtk-java (= ${binary:Version})
> +Depends: ${shlibs:Depends}, libgtk-java (= ${Source-Version})
>  Replaces: libgtk0-jni, libgtk2-jni
>  Conflicts: libgtk2-jni
>  Description: GTK+ bindings for Java



Message sent on to Kurt Roeckx <kurt@roeckx.be>:
Bug#385943. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#385943; Package libgtk-java. Full text and rfc822 format available.

Acknowledgement sent to David Schmitt <david@schmitt.edv-bus.at>:
Extra info received and forwarded to list. Copy sent to Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #26 received at 385943@bugs.debian.org (full text, mbox):

From: David Schmitt <david@schmitt.edv-bus.at>
To: Steve Langasek <vorlon@debian.org>, 385943@bugs.debian.org, 385943-submitter@bugs.debian.org
Subject: Re: Bug#385943: libgtk-java: Needs rebuild against libgcj7-0
Date: Mon, 11 Sep 2006 00:10:08 +0200
[Message part 1 (text/plain, inline)]
On Sunday 10 September 2006 23:22, you wrote:
> On Sun, Sep 10, 2006 at 03:56:39PM +0200, David Schmitt wrote:
> > Please find attached a minimal patch, fixing the binNMU security.
>
> This patch fixes nothing.  There is *no* way for an arch: all package to
> have a strict versioned dependency on an arch: any package and still be
> binNMU safe.

sorry, your are right of course, i didn't see that.


Regards, David
-- 
- hallo... wie gehts heute?
- *hust* gut *rotz* *keuch*
- gott sei dank kommunizieren wir über ein septisches medium ;)
 -- Matthias Leeb, Uni f. angewandte Kunst, 2005-02-15
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Kurt Roeckx <kurt@roeckx.be>:
Bug#385943. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#385943; Package libgtk-java. Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert.spam@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #34 received at 385943@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert.spam@gmx.net>
To: Debian Bug Tracking System <385943@bugs.debian.org>
Subject: libgtk-java: Needs rebuild against libgcj7-0
Date: Sun, 17 Sep 2006 03:50:18 +0200
Package: libgtk-java
Version: 2.8.5-1
Followup-For: Bug #385943

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Is there someone working on this bug? I think, solving #375297, will
also make this package binNMU-safe.

Regards, Daniel


- -- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (850, 'unstable'), (700, 'testing'), (550, 'stable'), (110, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15.08060320
Locale: LANG=de_DE, LC_CTYPE=de_DE (charmap=ISO-8859-1)

Versions of packages libgtk-java depends on:
ii  libcairo-java                 1.0.4-1    CAIRO bindings for Java
ii  libglib-java                  0.2.5-1    GLIB bindings for Java
ii  libgtk-jni                    2.8.5-1    GTK+ bindings for Java

libgtk-java recommends no packages.

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFDKnadg0kG0+YFBERAsJaAJ0d88jVSkHKq2bd3rvObz1pfFPYJQCeKaw6
zU/i/NWvM6n3+DfWikMIPRA=
=j1ye
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#385943; Package libgtk-java. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #39 received at 385943@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Daniel Leidert <daniel.leidert.spam@gmx.net>, 385943@bugs.debian.org
Subject: Re: Bug#385943: libgtk-java: Needs rebuild against libgcj7-0
Date: Sat, 16 Sep 2006 19:37:24 -0700
On Sun, Sep 17, 2006 at 03:50:18AM +0200, Daniel Leidert wrote:

> Is there someone working on this bug?

To fix the RC aspect of the bug, all that's needed is a re-upload.

> I think, solving #375297, will also make this package binNMU-safe.

That would depend on which way the circular dependency is broken...

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Tags added: fixed Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 2.8.5-1.1, send any further explanations to Kurt Roeckx <kurt@roeckx.be> Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Kurt Roeckx <kurt@roeckx.be>:
Bug#385943. Full text and rfc822 format available.

Message #46 received at 385943-submitter@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 380056-submitter@bugs.debian.org, 380123-submitter@bugs.debian.org, 380147-submitter@bugs.debian.org, 380466-submitter@bugs.debian.org, 380581-submitter@bugs.debian.org, 380589-submitter@bugs.debian.org, 380723-submitter@bugs.debian.org, 380728-submitter@bugs.debian.org, 380801-submitter@bugs.debian.org, 380872-submitter@bugs.debian.org, 380915-submitter@bugs.debian.org, 380993-submitter@bugs.debian.org, 381005-submitter@bugs.debian.org, 381068-submitter@bugs.debian.org, 381110-submitter@bugs.debian.org, 381225-submitter@bugs.debian.org, 381338-submitter@bugs.debian.org, 381390-submitter@bugs.debian.org, 381452-submitter@bugs.debian.org, 381456-submitter@bugs.debian.org, 381624-submitter@bugs.debian.org, 381646-submitter@bugs.debian.org, 381816-submitter@bugs.debian.org, 382096-submitter@bugs.debian.org, 382114-submitter@bugs.debian.org, 382131-submitter@bugs.debian.org, 382214-submitter@bugs.debian.org, 382260-submitter@bugs.debian.org, 382400-submitter@bugs.debian.org, 382491-submitter@bugs.debian.org, 382512-submitter@bugs.debian.org, 382642-submitter@bugs.debian.org, 382769-submitter@bugs.debian.org, 382783-submitter@bugs.debian.org, 382807-submitter@bugs.debian.org, 382867-submitter@bugs.debian.org, 382951-submitter@bugs.debian.org, 382958-submitter@bugs.debian.org, 383175-submitter@bugs.debian.org, 383314-submitter@bugs.debian.org, 383426-submitter@bugs.debian.org, 383565-submitter@bugs.debian.org, 383569-submitter@bugs.debian.org, 383616-submitter@bugs.debian.org, 383823-submitter@bugs.debian.org, 384057-submitter@bugs.debian.org, 384081-submitter@bugs.debian.org, 384223-submitter@bugs.debian.org, 384282-submitter@bugs.debian.org, 384356-submitter@bugs.debian.org, 384358-submitter@bugs.debian.org, 384489-submitter@bugs.debian.org, 384507-submitter@bugs.debian.org, 384566-submitter@bugs.debian.org, 384593-submitter@bugs.debian.org, 384725-submitter@bugs.debian.org, 384750-submitter@bugs.debian.org, 384756-submitter@bugs.debian.org, 384772-submitter@bugs.debian.org, 384825-submitter@bugs.debian.org, 384826-submitter@bugs.debian.org, 384937-submitter@bugs.debian.org, 384995-submitter@bugs.debian.org, 385062-submitter@bugs.debian.org, 385080-submitter@bugs.debian.org, 385177-submitter@bugs.debian.org, 385378-submitter@bugs.debian.org, 385643-submitter@bugs.debian.org, 385696-submitter@bugs.debian.org, 385800-submitter@bugs.debian.org, 385819-submitter@bugs.debian.org, 385820-submitter@bugs.debian.org, 385827-submitter@bugs.debian.org, 385828-submitter@bugs.debian.org, 385829-submitter@bugs.debian.org, 385830-submitter@bugs.debian.org, 385831-submitter@bugs.debian.org, 385835-submitter@bugs.debian.org, 385837-submitter@bugs.debian.org, 385839-submitter@bugs.debian.org, 385841-submitter@bugs.debian.org, 385943-submitter@bugs.debian.org, 378525-submitter@bugs.debian.org, 378699-submitter@bugs.debian, org@mauritius.dodds.net, 379208-submitter@bugs.debian.org, 374601-submitter@bugs.debian.org, 388193-submiter@bugs.debian.org, 366090-submitter@bugs.debian.org, 343015-submitter@bugs.debian.org, 342963-submitter@bugs.debian.org, 342962-submitter@bugs.debian.org, 342966-submitter@bugs.debian.org, 342997-submitter@bugs.debian.org, 343000-submitter@bugs.debian.org
Subject: Bugs fixed in NMU, documenting versions
Date: Sun, 22 Oct 2006 01:59:27 -0700
# Hi folks,
#
# All of these bugs have been fixed in NMU, but not acknowledged by the
# maintainers.  With version tracking in the Debian BTS, it is important to
# know which version of a package fixes each bug so that they can be tracked
# for release status in the BTS, so I'm closing these bugs with the relevant
# version number information now.

close 380056 0.4.2-3.2
close 380123 1.1.3-5.3
close 380147 0.4.14-1.1
close 380466 0.3.9-1.1
close 380581 0.3.7-1.1
close 380589 1:1.0.0-rel-3.1
close 380723 0.0.43-0.3
close 380728 0.3.2-7.1
close 380801 3.0.3-3.1
close 380872 0.4-1.1
close 380915 0.8-1.1
close 380993 2.4.0-3.1
close 381005 1:1.0-3.1
close 381068 0.4.7-1.1
close 381110 2.6.3.2.1.2
close 381225 1:1.0.1-4.1
close 381338 2.3.4-3.1
close 381390 2.1.1-5.2
close 381452 21.4a-6.2
close 381456 0.3.4.cvs.20050813-2.2
close 381624 3.6.13-3.6
close 381646 7.4-3.1
close 381816 6.2.10-4.1
close 382096 1.3.29-2.1
close 382114 1:1.2.4.1-6.1
close 382131 1.9.6-3.1
close 382214 0.4.7-1.1
close 382260 1.13-1.1
close 382400 0.87.5-2
close 382491 0.2.1-1.1
close 382512 1.0.0-9.2
close 382642 2.2.3-1.1
close 382769 0.2.12-1.2
close 382783 1.0.57-2.3
close 382807 0.5.4-0.1
close 382867 0.10-1.1
close 382951 2.6.3.2.1.5
close 382958 1.0.5-1.1
close 383175 0.1.8.1-3.1
close 383314 7:6.2.4.5.dfsg1-0.10
close 383426 4.0.6-2.1
close 383565 0.1.6.9-1.1
close 383569 0.95-2.1
close 383616 1.0.5-1.1
close 383823 2.2.0-2.1
close 384057 6.5.0.cvs.20060524-1.1
close 384081 1:5.22-1.1
close 384223 0.80+dfsg-1
close 384282 6.5.0.cvs.20060524-1.1
close 384356 0.9.10-3.1
close 384358 0.88-3.1
close 384489 0.4.2-7.1
close 384507 0.4.20-12.1
close 384566 0.13-3.3
close 384593 210-3.1
close 384725 2.8.5-2sarge1.2
close 384750 0.9.2+cvs.1.0.dev.2004.07.28-4.1
close 384756 0.15.0-1.1
close 384772 0.9.6-1.1
close 384825 0.0.43-0.4
close 384937 0.03-1.1
close 384995 0.5-1.1
close 385062 7:6.2.4.5.dfsg1-0.10
close 385080 1.3.29-2.1
close 385177 1.1.3-1.2
close 385378 0.33.3-1.1
close 385643 0.07-1.1
close 385696 2.5.3-4.1
close 385800 3.4.2-1.1
close 385819 0.6.6-6.1
close 385820 0.6.6-4.1
close 385827 3.5-9.1
close 385828 1.3.2-3.3
close 385829 1.4.3-17.2
close 385830 0.5-8.1
close 385831 2.0.9-1.2
close 385835 3.0.9-2.1
close 385837 0.3-5.2
close 385839 2.3.0-1
close 385841 1.1pre14-2.1
close 385943 2.8.5-1.1
thanks

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 09:53:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:56:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.